> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hifi.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Add documents

> Add documents to the user's KYC.




## OpenAPI

````yaml https://production.hifi.com/api/v2/openapi.json post /v2/users/{userId}/kyc/documents
openapi: 3.0.0
info:
  title: Hifi API
  version: 2.0.0
  description: API documentation for Hifi
servers:
  - url: https://production.hifibridge.com
    description: Production server
  - url: https://sandbox.hifibridge.com
    description: Sandbox server
security:
  - bearerAuth: []
tags:
  - name: Common
    description: Common endpoints
  - name: User
    description: User endpoints
  - name: Kyc
    description: Kyc endpoints
  - name: Wallet
    description: Wallet endpoints
  - name: Account
    description: Account endpoints
  - name: External Account
    description: External Account endpoints for managing beneficiary bank accounts
  - name: Fiat Account
    description: Fiat Account endpoints
  - name: Virtual Account
    description: Virtual Account endpoints
  - name: Onramp
    description: Onramp endpoints
  - name: Offramp
    description: Offramp endpoints
  - name: Orchestration Address
    description: >-
      Orchestration Address endpoints — persistent on-chain wallets that
      automatically off-ramp incoming stablecoin deposits to a USD bank account
  - name: Crypto Transfer
    description: Crypto Transfer endpoints
  - name: Cross-Chain Bridge
    description: Cross-Chain Bridge endpoints
  - name: Token Swap
    description: Token Swap endpoints
  - name: Canton Offers
    description: Canton Offers endpoints
  - name: Transfer Rules
    description: Transfer approval rules and configuration
  - name: Transfer Approvals
    description: Transfer approval workflow and admin actions
  - name: File
    description: File endpoints
  - name: Reporting
    description: Reporting and metrics endpoints
paths:
  /v2/users/{userId}/kyc/documents:
    post:
      tags:
        - Kyc
      summary: Add documents
      description: |
        Add documents to the user's KYC.
      parameters:
        - $ref: '#/components/parameters/UserIdPathParameter'
      requestBody:
        $ref: '#/components/requestBodies/AddDocumentBody'
      responses:
        '200':
          $ref: '#/components/responses/DocumentObjectAllRecordsResponse'
        '401':
          $ref: '#/components/responses/UnauthorizedResponse'
        '404':
          $ref: '#/components/responses/NotFoundResponse'
        '500':
          $ref: '#/components/responses/InternalServerErrorResponse'
components:
  parameters:
    UserIdPathParameter:
      name: userId
      in: path
      schema:
        type: string
      description: ID of the user
      required: true
  requestBodies:
    AddDocumentBody:
      required: true
      content:
        application/json:
          schema:
            oneOf:
              - $ref: '#/components/schemas/IndividualDocumentAdd'
              - $ref: '#/components/schemas/BusinessDocumentAdd'
  responses:
    DocumentObjectAllRecordsResponse:
      description: Success
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/DocumentObjectList'
          examples:
            DocumentObjectListExample:
              $ref: '#/components/examples/DocumentObjectListExample'
    UnauthorizedResponse:
      description: Unauthorized
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Unauthorized'
    NotFoundResponse:
      description: Resource not found
      content:
        application/json:
          schema:
            type: object
            properties:
              status:
                type: string
                enum:
                  - error
              error:
                type: object
                properties:
                  code:
                    type: string
                  message:
                    type: string
    InternalServerErrorResponse:
      description: Internal Server Error
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/InternalServerError'
  schemas:
    IndividualDocumentAdd:
      type: array
      title: Add Individual Document
      description: An array of documents to be added.
      items:
        type: object
        properties:
          type:
            type: string
            description: |
              Type of the document. This field is immutable once created.
            enum:
              - DRIVERS
              - ID_CARD
              - PASSPORT
              - INCOME_SOURCE
              - INVESTOR_DOC
              - PAYMENT_SOURCE
              - RESIDENCE_PERMIT
              - SELFIE
              - PROOF_OF_ADDRESS
              - AUTH_LETTER
              - UTILITY_BILL
              - BANK_STATEMENT
              - RENTAL_AGREEMENT
              - TAX_DOCUMENT
              - VOTER_REGISTRATION_CARD
              - BANK_REFERENCE_LETTER
              - LEASE_OR_TENANCY_AGREEMENT
              - OTHER
          subType:
            type: string
            description: |
              Subtype of the document. This field is immutable once created.
            enum:
              - FRONT_SIDE
              - BACK_SIDE
              - SINGLE_SIDE
          issuedCountry:
            type: string
            description: >-
              Three-letter alpha-3 country code as defined in the ISO 3166-1
              spec.
          issuedDate:
            type: string
            description: Date of issue of the document.
            format: date
          expiryDate:
            type: string
            description: Expiry date of the document.
            format: date
          number:
            type: string
            description: If applicable, unique identification number of the document.
          description:
            type: string
            description: Description of the document. Required if type is `OTHER`.
          url:
            type: string
            deprecated: true
            description: >
              URL of the document. Either `url` or `fileId` is required, but not
              both.


              *Maximum file size 10MB and minimum file size 10KB


              *Valid file types: .pdf, .jpeg, .jpg, .png, .heic, .tif
          fileId:
            type: string
            description: >-
              The file ID returned from the file upload endpoint. Either `url`
              or `fileId` is required, but not both.
          uboId:
            type: string
            description: >-
              If provided, this document will be attached to the specified UBO.
              This field is immutable once created.
        required:
          - type
          - subType
          - issuedCountry
    BusinessDocumentAdd:
      type: array
      title: Add Business Document
      description: An array of documents to be added.
      items:
        type: object
        properties:
          type:
            type: string
            description: |
              Type of the document. This field is immutable once created.
            enum:
              - DIRECTORS_REGISTRY
              - GOOD_STANDING_CERT
              - INCORPORATION_ARTICLES
              - INCORPORATION_CERT
              - INCUMBENCY_CERT
              - INFORMATION_STATEMENT
              - POWER_OF_ATTORNEY
              - PROOF_OF_ADDRESS
              - SHAREHOLDER_REGISTRY
              - STATE_REGISTRY
              - TRUST_AGREEMENT
              - SOURCE_OF_FUNDS
              - FORMATION_CERT
              - REGISTRATION_CERT
              - PROOF_OF_OWNERSHIP
              - CONSTITUTION_OR_ANNUAL_REPORT
              - ARTICLES_OF_ASSOCIATION
              - UBO_DECLARATION
              - PARTNERSHIP_MINS_OF_MEETING
              - PARTNERSHIP_DEED
              - FLOW_OF_FUNDS
              - SOURCE_OF_FUNDS
              - ORGANIZATION_STRUCTURE
              - SHARE_STRUCTURE
              - BUSINESS_REGISTRATION
              - OTHER
          subType:
            type: string
            description: |
              Subtype of the document. This field is immutable once created.
            enum:
              - SINGLE_SIDE
          issuedCountry:
            type: string
            description: >-
              Three-letter alpha-3 country code as defined in the ISO 3166-1
              spec.
          issuedDate:
            type: string
            description: Date of issue of the document.
            format: date
          expiryDate:
            type: string
            description: Expiry date of the document.
            format: date
          number:
            type: string
            description: If applicable, unique identification number of the document.
          description:
            type: string
            description: Description of the document. Required if type is `OTHER`.
          url:
            type: string
            deprecated: true
            description: >
              URL of the document. Either `url` or `fileId` is required, but not
              both.


              *Maximum file size 10MB and minimum file size 10KB


              *Valid file types: .pdf, .jpeg, .jpg, .png, .heic, .tif
          fileId:
            type: string
            description: >-
              The file ID returned from the file upload endpoint. Either `url`
              or `fileId` is required, but not both.
          uboId:
            type: string
            description: >-
              If provided, this document will be attached to the specified UBO.
              This field is immutable once created.
        required:
          - type
          - subType
          - issuedCountry
    DocumentObjectList:
      type: object
      title: Document Object List
      properties:
        count:
          type: integer
          description: Number of documents.
        data:
          type: array
          items:
            $ref: '#/components/schemas/DocumentObject'
    Unauthorized:
      type: object
      properties:
        code:
          type: integer
          description: Error code
        error:
          type: string
          description: Error type
        errorDetails:
          type: string
          description: Detailed error message
    InternalServerError:
      type: object
      properties:
        code:
          type: integer
          description: Error code
        error:
          type: string
          description: Error type
        errorDetails:
          type: string
          description: Detailed error message
    DocumentObject:
      type: object
      title: Document Object
      properties:
        type:
          type: string
        subType:
          type: string
        issuedCountry:
          type: string
        issuedDate:
          type: string
          format: date
        expiryDate:
          type: string
          format: date
        number:
          type: string
        description:
          type: string
        url:
          type: string
          deprecated: true
        fileId:
          type: string
        uboId:
          type: string
  examples:
    DocumentObjectListExample:
      summary: Document Object List
      value:
        count: 2
        data:
          - id: 7c9439f6-655b-4aeb-9b32-e17759ee9134
            type: CERTIFICATE_OF_INCORPORATION
            subType: SINGLE_SIDE
            issuedCountry: USA
            issuedDate: null
            expiryDate: null
            number: null
            description: null
            url: https://example.com/doc_123
            fileId: file_zEFpbPhk71NaQfEVMR544
            uboId: null
          - id: 7a9dc485-3216-47fd-baa4-a7ab4085b723
            type: PASSPORT
            subType: SINGLE_SIDE
            issuedCountry: USA
            issuedDate: null
            expiryDate: null
            number: null
            description: null
            url: https://example.com/doc_123
            fileId: file_zEFpbPhk71NaQfEVMR544
            uboId: 3285c3be-ef36-4f01-bf95-578d3116f0ff
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````